﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using CoreLibrary;
using System.IO;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;

namespace GroundhogApp
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        private void Application_DispatcherUnhandledException(object sender, System.Windows.Threading.DispatcherUnhandledExceptionEventArgs e)
		{
            if (e.Exception is IOException || e.Exception is ArgumentException || e.Exception is LoadException || e.Exception is SaveException ||
                e.Exception is ImageReadException || e.Exception is StackWriteException || e.Exception is StackDeleteException)
            {
                MessageBox.Show("An exception just occurred: " + e.Exception.Message, "Exception!", MessageBoxButton.OK, MessageBoxImage.Warning);
                e.Handled = true;
            }
            else e.Handled = false;
			
		}
    }
}
